PHPeerTube - A PHP‑based federated video platform, inspired by PeerTube.

Copyright (C) 2025 Lucentinian Works Co Ltd

API example

curl -i -H "Accept: application/activity+json" "http://phpeertube.ehehdada.com/accounts/testuser"

Example successful response:

HTTP/1.1 200 OK
Content-Type: application/activity+json

{
    "@context": [
        "https://www.w3.org/ns/activitystreams",
        "https://w3id.org/security/v1"
    ],
    "id": "http://phpeertube.ehehdada.com/accounts/testuser",
    "type": "Person",
    "preferredUsername": "testuser",
    "name": "testuser",
    "summary": "A user on PHPeerTube.",
    "inbox": "http://phpeertube.ehehdada.com/accounts/testuser/inbox",
    "outbox": "http://phpeertube.ehehdada.com/accounts/testuser/outbox",
    "url": "http://phpeertube.ehehdada.com/@testuser",
    "publicKey": {
        "id": "http://phpeertube.ehehdada.com/accounts/testuser#main-key",
        "owner": "http://phpeertube.ehehdada.com/accounts/testuser",
        "publicKeyPem": "-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA...\n-----END PUBLIC KEY-----"
    }
}